Scroll Versions 3.3.3 is a compatibility release.

If you are using Scroll Versions, Scroll Translations, Remote Publishing Endpoint or Comala Workflows for Scroll Versions in combination with each other, please use the matching versions of those add-ons.

3.3 is the last version of Scroll Versions that will support Confluence 5.5. Starting with Scroll Versions 3.4, all following releases will only support Confluence 5.6 and later.